import { DevCycleClient, DevCycleUser } from '@devcycle/js-client-sdk';
/**
 * Used on client side to update DevCycle cookie with latest user data when identify is called clientside
 * This cookie is sent with every request to the Next backend, allowing us to receive that user data serverside
 * and perform bucketing
 * @param client
 * @param user
 */
export declare const updateDVCCookie: (client: DevCycleClient, user?: DevCycleUser, newIdentity?: boolean) => void;
