import { getBucketedConfig } from './bucketing';
import { getOptions, getSDKKey } from './requestContext';
import { getUserIdentity } from './identify';
export const getDevCycleServerData = async () => {
    const config = await getBucketedConfig();
    const user = getUserIdentity();
    if (!user) {
        throw Error('User should be defined');
    }
    return {
        config,
        user,
        sdkKey: getSDKKey(),
        options: getOptions(),
    };
};
//# sourceMappingURL=devcycleServerData.js.map